Bug 1627998 (CVE-2018-16391) - CVE-2018-16391 opensc: Buffer overflows handling responses from Muscle Cards in card-muscle.c:muscle_list_files()
Summary: CVE-2018-16391 opensc: Buffer overflows handling responses from Muscle Cards ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16391
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628000 1628001 1630201
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 05:21 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:41 UTC

Description Sam Fowler 2018-09-12 05:21:33 UTC
Several buffer overflows when handling responses from a Muscle Card in muscle_list_files in libopensc/card-muscle.c in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to cause a denial of service (application crash) or possibly have unspecified other impact.


External Reference:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad#diff-477b7a40136bb418b10ce271c8664536

Comment 1 Sam Fowler 2018-09-12 05:23:15 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628000]

Comment 5 errata-xmlrpc 2019-08-06 12:21:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 6 Product Security DevOps Team 2019-08-06 13:19:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16391


Note You need to log in before you can comment on or make changes to this bug.